var xmlhttp = null;
var url = "http://www.qwantz.com";

function setup() {
	var doneButton = document.getElementById("done"); 
	createGenericButton(doneButton, "Done", hideBack);
	loadDoc();
	setInterval("loadDoc()", 1800000);
}

//get source text
function loadDoc()
{
  // code for Mozilla, etc.
  if (window.XMLHttpRequest) {
    xmlhttp=new XMLHttpRequest();
    xmlhttp.onreadystatechange=xmlhttpChange;
    xmlhttp.open("GET",url,true);
    xmlhttp.send(null);
  }

  // code for IE
  else if (window.ActiveXObject) {
    xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
    if (xmlhttp) {
      xmlhttp.onreadystatechange=xmlhttpChange;
      xmlhttp.open("GET",url,true);
      xmlhttp.send(null);
    }
  }
}

function xmlhttpChange()
{
  // if xmlhttp shows "loaded"
  if (xmlhttp.readyState == 4) {

    // if "OK"
    if (xmlhttp.status==200) {
      
	var oimage = document.getElementById("dinosaur");
	var strsource = xmlhttp.responseText;
	
	if(strsource.search(/src="(\/comics\/comic2[^"]+)"/) == -1) {
		alert("Could not find image");
		return;
	}

	var stroldimage = widget.preferenceForKey("PictureURL");
	var strnew = widget.preferenceForKey("PictureNew");

	if(stroldimage == null || oimage.getAttribute("background") != stroldimage) {
		oimage.setAttribute("background", url+RegExp.$1);
	}
	
	if((url+RegExp.$1 != stroldimage) || (strnew == "true")) {
		widget.setPreferenceForKey(url+RegExp.$1, "PictureURL");
		widget.setPreferenceForKey("true", "PictureNew");
		document.getElementById("dimmer").setAttribute("src", "New.png");
	}			
    }
    else {

      alert("Problem retrieving XML data, "+xmlhttp.statusText);
    }
  }
}

//load webpage and set preference variables
function clicked()
{
	widget.openURL(url);
	widget.setPreferenceForKey("false", "PictureNew");
	document.getElementById("dimmer").setAttribute("src", "Old.png");
}


